#75 libgcrypt is not properly initialized

closed-fixed
nobody
Using aide (10)
5
2010-03-27
2009-04-14
No

libgcrypt needs to be initialized in a certain way or it will complain (at least in 1.4.4). Running aide 0.13.1 with libgcrypt 1.4.4 logs the following warning:

aide: Libgcrypt warning: missing initialization - please fix the application

Attached is a patch that initializes libgcrypt in the way described in the reference manual [1] before any other functions are called.

[1] - http://www.gnupg.org/documentation/manuals/gcrypt/Initializing-the-library.html

Discussion

  • Richard van den Berg

    Fixed in CVS, thanks.

     
  • Richard van den Berg

    • status: open --> closed-fixed
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks